package ch.std.openfeign.client;

import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestParam;

import ch.std.openfeign.config.JSONFakeConfig;
import net.minidev.json.JSONObject;

@FeignClient(name = "jsonfakeinvalid", url = "https://www.simtech-ag.ch2/std-ajax/jsonfake", fallback = JSONFakeInvalidClientFallback.class, configuration = JSONFakeConfig.class)
public interface JSONFakeInvalidClient {
	@GetMapping(produces = "application/json")
	JSONObject getJSONFake(@RequestParam(value = "jsonReply", required = false) String jsonReply);
	
	@PostMapping(produces = "application/json")
	JSONObject postJSONFake(@RequestParam(value = "jsonReply", required = false) String jsonReply);

}
